
describe('Storybook Components', () => {
  context('Buttons', () => {
    beforeEach(() => {
      cy.loadStorybook()
    })

    it('Primary', () => {
      cy.loadComponent('buttons-primary-button', 'primary')
      cy.clickCheckComponent('button', 'Primary', 'click: (1)')
    })

    it('Primary Disabled', () => {
      cy.loadComponent('buttons-primary-button', 'primary-disabled')
      cy.disabledComponent('button', 'Primary')
    })

    it('Primary Outlined', () => {
      cy.loadComponent('buttons-primary-button', 'primary-outlined')
      cy.clickCheckComponent('button', 'Primary', 'click: (1)')
    })

    it('Primary Small', () => {
      cy.loadComponent('buttons-primary-button', 'primary-small')
      cy.clickCheckComponent('button', 'Primary', 'click: (1)')
    })

    it('Primary Outlined Small', () => {
      cy.loadComponent('buttons-primary-button', 'primary-outlined-small')
      cy.clickCheckComponent('button', 'Primary', 'click: (1)')
    })
  })
})
